Ethiack Docs
Organization beacons

Update Beacon

PATCH
/v1/organizations/{organization_id}/beacons/{beacon_id}

Partially updates a beacon's name, CIDRs, or DNS server.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

organization_id*integer
beacon_id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.ethiack.com/v1/organizations/0/beacons/0" \  -H "Content-Type: application/json" \  -d '{    "name": null,    "allowed_cidrs": null,    "dns_server": null  }'
{
  "id": 0,
  "name": "string",
  "allowed_cidrs": [
    "string"
  ],
  "dns_server": "string",
  "interface_name": "string",
  "status": 0,
  "last_seen": "2019-08-24T14:15:22Z",
  "created": "2019-08-24T14:15:22Z",
  "version": 0,
  "beacon_token": null,
  "rathole_server": null,
  "rathole_public_port": null,
  "wireguard_config": null
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}